> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Update a user

PUT https://api.contentful.com/scim/v2/organizations/{org_id}/Users/{user_id}
Content-Type: application/scim+json

Updates user attributes (currently a no-op). This endpoint exists for identity provider compatibility — no User attributes are mutable via SCIM.

Reference: https://contentful.com/developers/docs/references/scim-api/users/update-a-user

## Request

### Path parameters

- `user_id` (string, required) — ID of the SCIM User
- `org_id` (string, required)

### Body (application/scim+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Request**

```json
{
  "active": true,
  "emails": [
    {
      "primary": true,
      "type": "work",
      "value": "user@example.com"
    }
  ],
  "id": "1xGZIRXr2WPnsLkKfREo0z",
  "meta": {
    "created": "2018-05-11T20:04:37Z",
    "lastModified": "2019-05-11T20:04:37Z",
    "location": "https://api.contentful.com/organizations/7BslKh9TdKGOK41VmLDjFZ/scim/v2/Users/1xGZIRXr2WPnsLkKfREo0z",
    "resourceType": "User"
  },
  "name": {
    "familyName": "Kowalska",
    "givenName": "Kasia"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "userName": "user@example.com"
}
```

**Response**

```json
{
  "active": true,
  "emails": [
    {
      "primary": true,
      "type": "work",
      "value": "user@example.com"
    }
  ],
  "id": "1xGZIRXr2WPnsLkKfREo0z",
  "meta": {
    "created": "2025-03-14T09:22:18Z",
    "lastModified": "2026-01-07T14:35:42Z",
    "location": "https://api.contentful.com/organizations/7BslKh9TdKGOK41VmLDjFZ/scim/v2/Users/1xGZIRXr2WPnsLkKfREo0z",
    "resourceType": "User"
  },
  "name": {
    "familyName": "Kowalska",
    "givenName": "Kasia"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "userName": "user@example.com"
}
```